[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# tinterfaceentry

Interfaces table entry.

## Declaration

Source position: objpash.inc line 165

`type tinterfaceentry = record`
`IID: PGuid;` |  | Unique GUID for this interface.
`VTable: Pointer;` |  | Pointer to interface VTable.
`IOffset: PtrUInt;` |  | Offset
`IIDStr: PShortString;` |  | Pointer to GUID string. Always assigned for COM.
`case Boolean of`
`True: (`
`IType: tinterfaceentrytype;` |  | Interface entry interface type
`);`
`False: (`
`__pad_dummy: pointer;` |  | Padding bytes
`);`
`end;`

## Description

tinterfaceentry is used to store the list of Interfaces of a class. This list is stored as an array of tinterfaceentry records.

Documentation generated on: Feb 26 2014